TPING(1)

NAME
tping - Send echo messages to LAM nodes.

SYNTAX

tping [-hv] [-c <count>] [-d <delay>] [-l <length>] <nodes>

OPTIONS

-h  Print the command help menu.

-v  Turn OFF verbose mode.

-c <count>
    Send <count> messages.

-d <delay>
    Delay <delay> seconds between each message.

-l <length>
    Each message is <length> bytes long.

DESCRIPTION
The tping command sends messages to, and collects replies from, a list of nodes, via the LAM echo server. It is similar to the UNIX ping(8) command, and is used as a quick diagnosis of the LAM network.

Unless options are specified, tping sends a 1 byte message an infinite number of times, displaying the roundtrip time of each message as it completes, with a delay of 1 second between roundtrips. After the loop is broken (with keyboard interrupt, eg: ^C), tping prints statistics about all roundtrip messages.

EXAMPLES

tping h
    Echo messages to the local node.

tping -v n7 -l 1000 -c 10
    Echo 1000 byte messages to node 7. Stay silent while working. Stop after 10 roundtrips and report statistics.

BUGS
There is no built-in timeout and tping will wait forever to receive an echo. If no echo is received, due to a dead link or node, tping hangs. Stop the process with a keyboard suspend signal (eg: ^Z) and terminate LAM with lamhalt(1) or wipe(1) (although the use of wipe(1) is deprecated).

SEE ALSO
lamhalt(1), wipe(1)